## ros-rolling-tracetools 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tracetools)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
  add_compile_options(/W4)
endif()

find_package(ament_cmake_ros REQUIRED)

if(WIN32)
  set(DISABLED_DEFAULT ON)
  set(STATUS_CHECKING_TOOL_DEFAULT OFF)
else()
  set(DISABLED_DEFAULT OFF)
  set(STATUS_CHECKING_TOOL_DEFAULT ON)
endif()
option(TRACETOOLS_DISABLED "Explicitly disable support for tracing" ${DISABLED_DEFAULT})
option(TRACETOOLS_NO_RDYNAMIC "Disable export of -rdynamic link flag" OFF)
option(TRACETOOLS_STATUS_CHECKING_TOOL "Enable the status checking tool" ${STATUS_CHECKING_TOOL_DEFAULT})

if(NOT TRACETOOLS_DISABLED)
  # Set TRACETOOLS_LTTNG_ENABLED if we can find lttng-ust
  find_package(PkgConfig)
  if(PkgConfig_FOUND)
    pkg_check_modules(LTTNG lttng-ust)
    if(LTTNG_FOUND)
      set(TRACETOOLS_LTTNG_ENABLED TRUE)
      message("LTTng found: tracing enabled")
    endif()
  endif()
endif()

# Store configuration variables for runtime use
#   TRACETOOLS_DISABLED
#   TRACETOOLS_LTTNG_ENABLED
configure_file(include/${PROJECT_NAME}/config.h.in include/${PROJECT_NAME}/config.h)

# Tracetools lib
set(SOURCES
  src/tracetools.c
  src/utils.cpp
)
set(HEADERS
  include/${PROJECT_NAME}/tracetools.h
  include/${PROJECT_NAME}/utils.hpp
  include/${PROJECT_NAME}/visibility_control.hpp
)
if(TRACETOOLS_LTTNG_ENABLED)
  # We only need these if we're using LTTng
  list(APPEND SOURCES
    src/tp_call.c
  )
  list(APPEND HEADERS
    include/${PROJECT_NAME}/tp_call.h
  )
endif()

if(NOT TRACETOOLS_DISABLED)
  add_library(${PROJECT_NAME} ${SOURCES})
else()
  # only export a target with headers when disabled
  add_library(${PROJECT_NAME} INTERFACE)
endif()
if(TRACETOOLS_LTTNG_ENABLED)
  target_link_libraries(${PROJECT_NAME} ${LTTNG_LIBRARIES})
  # Export -rdynamic for downtream packages to use when calling
  #   ament_target_dependencies()
  # which is needed to resolve function addresses to symbols when
  # using function pointers directly/without std::bind()
  # (the flag should not be used on Windows, but TRACETOOLS_LTTNG_ENABLED
  # should never be true on Windows anyway, so there is no need to check)
  if(NOT TRACETOOLS_NO_RDYNAMIC)
    target_link_libraries(${PROJECT_NAME} "-rdynamic")
  endif()
endif()

if(NOT TRACETOOLS_DISABLED)
  # Only use output/binary include directory
  target_include_directories(${PROJECT_NAME} PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
    "$<INSTALL_INTERFACE:include>"
  )
else()
  target_include_directories(${PROJECT_NAME} INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
    "$<INSTALL_INTERFACE:include>"
  )
endif()

set(export_target_options)
if(NOT TRACETOOLS_DISABLED)
  set(export_target_options "HAS_LIBRARY_TARGET")
endif()
ament_export_targets(${PROJECT_NAME}_export ${export_target_options})

if(TRACETOOLS_STATUS_CHECKING_TOOL)
  # Lib for status checking
  add_library(${PROJECT_NAME}_status
    src/status.c
  )
  target_link_libraries(${PROJECT_NAME}_status
    ${PROJECT_NAME}
  )
  install(TARGETS
    ${PROJECT_NAME}_status
    DESTINATION lib
  )
  list(APPEND HEADERS
    include/${PROJECT_NAME}/status.h
  )
  # Status checking tool
  add_executable(status
    src/status_tool.c
  )
  target_link_libraries(status
    ${PROJECT_NAME}
    ${PROJECT_NAME}_status
  )
  install(TARGETS
    status
    DESTINATION lib/${PROJECT_NAME}
  )
endif()

# Copy select headers to the actual include/ directory that we will use and export
foreach(_header ${HEADERS})
  configure_file(
    ${PROJECT_SOURCE_DIR}/${_header}
    ${PROJECT_BINARY_DIR}/${_header}
    COPYONLY
  )
endforeach()

install(
  DIRECTORY ${PROJECT_BINARY_DIR}/include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}_export
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_include_directories(include)
if(TRACETOOLS_LTTNG_ENABLED)
  ament_export_libraries(${PROJECT_NAME} ${LTTNG_LIBRARIES})
  # Export -rdynamic for downstream packages using classic CMake variables
  if(NOT TRACETOOLS_NO_RDYNAMIC)
    ament_export_link_flags("-rdynamic")
  endif()
elseif(NOT TRACETOOLS_DISABLED)
  ament_export_libraries(${PROJECT_NAME})
endif()

if(BUILD_TESTING)
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${LTTNG_INCLUDE_DIRS})
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  if(TRACETOOLS_STATUS_CHECKING_TOOL)
    find_package(ament_cmake_gtest REQUIRED)
    ament_add_gtest(test_status test/test_status.cpp)
    if(TARGET test_status)
      target_link_libraries(test_status ${PROJECT_NAME} ${PROJECT_NAME}_status)
    endif()

    # Run status tool executable as test and set pass/fail expectation appropriately
    add_test(test_status_tool status)
    if(NOT TRACETOOLS_LTTNG_ENABLED)
      set_tests_properties(test_status_tool PROPERTIES WILL_FAIL TRUE)
    endif()
  endif()
endif()

ament_package()

if(NOT TRACETOOLS_DISABLED)
  target_compile_definitions(${PROJECT_NAME} PRIVATE ${PROJECT_NAME}_VERSION="${${PROJECT_NAME}_VERSION}")
endif()

=== debian/changelog ===
ros-rolling-tracetools (4.0.0-1focal) focal; urgency=high

  * Merge branch 'update-mentions-of-tracetools-test' into 'master'
    Update applicable mentions of tracetools_test to test_tracetools
    See merge request ros-tracing/ros2_tracing!259 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/259>
  * Update applicable mentions of tracetools_test to test_tracetools
  * Merge branch 'version-3-1-0' into 'master'
    Version 3.1.0
    See merge request ros-tracing/ros2_tracing!256 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/256>
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-tracetools (3.1.0-1focal) focal; urgency=high

  * Correctly handle calls to TRACEPOINT() macro with no tracepoint args
  * Move publisher handle tracepoint argument from rclcpp_publish to rcl_publish
  * Add support for rmw init/pub, take, and executor instrumentation
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 11 Aug 2021 04:00:00 -0000

ros-rolling-tracetools (3.0.0-1focal) focal; urgency=high

  * Export target on Windows and export an interface if TRACETOOLS_DISABLED
  * Remove deprecated utility functions
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 26 Jul 2021 04:00:00 -0000

ros-rolling-tracetools (2.3.0-1focal) focal; urgency=high

  * Update QD to be more specific about public API
  * Namespace tracetools C++ functions and macros and deprecate current ones
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Mar 2021 04:00:00 -0000

ros-rolling-tracetools (2.2.0-1focal) focal; urgency=high

  * Add support for rcl_publish and rclcpp_publish tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Mar 2021 04:00:00 -0000

ros-rolling-tracetools (2.1.0-1focal) focal; urgency=high

  * Add instrumentation support for linking a timer to a node
  * Bring tracetools up to quality level 1
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 13 Jan 2021 05:00:00 -0000

ros-rolling-tracetools (2.0.0-1focal) focal; urgency=high

  * Add lifecycle node state transition instrumentation
  * Do not export tracetools if empty
  * Allow disabling tracetools status app
  * Contributors: Christophe Bedard, Ingo Lütkebohle, José Antonio Moral

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 12 Oct 2020 04:00:00 -0000

ros-rolling-tracetools (1.0.0-1focal) focal; urgency=high

  * Export -rdynamic using ament_export_link_flags and modern CMake
  * Contributors: Christophe Bedard, Dirk Thomas

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 04:00:00 -0000

ros-rolling-tracetools (0.3.0-1focal) focal; urgency=high

  * Various improvements to the build setup and CMakeLists.txt
  * Contributors: Christophe Bedard, Stephen Brawner

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-rolling-tracetools (0.2.10-1focal) focal; urgency=high

  * Add new rclcpp_subscription_init tracepoint to support new intra-process comms
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 05:00:00 -0000

ros-rolling-tracetools (0.2.9-1focal) focal; urgency=high

  * Set symbols visibility to public for util functions
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 18 Oct 2019 04:00:00 -0000

ros-rolling-tracetools (0.2.8-1focal) focal; urgency=high

  * Add overload of get_symbols as a fallback
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 14 Oct 2019 04:00:00 -0000

ros-rolling-tracetools (0.2.4-1focal) focal; urgency=high

  * Ignore unused tracepoint parameters on Windows
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 14 Aug 2019 04:00:00 -0000

ros-rolling-tracetools (0.2.3-1focal) focal; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-rolling-tracetools (0.2.2-1focal) focal; urgency=high

  * Fix Windows linking issues
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-rolling-tracetools (0.2.0-1focal) focal; urgency=high

  * Add option to compile out LTTng entirely
  * Fix ament_target_dependencies() for tracetools status executable
  * Remove bash scripts
  * Enable tracing by default if LTTng is available
  * Fix test_utils never getting built
  * Contributors: Christophe Bedard, Ingo Lütkebohle, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Jul 2019 04:00:00 -0000

ros-rolling-tracetools (0.1.1-1focal) focal; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 16 Jul 2019 04:00:00 -0000

ros-rolling-tracetools (0.1.0-1focal) focal; urgency=high

  * Add symbol resolution utils
  * Add tracepoint definitions and wrapper macro for tracepoint functions
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 04:00:00 -0000

=== debian/control ===
Source: ros-rolling-tracetools
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: https://index.ros.org/p/tracetools/
Standards-Version: 3.9.2

Package: ros-rolling-tracetools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Tracing wrapper for ROS 2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-tracetools//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-tracetools 7.1.0

=== debian/changelog ===
ros-rolling-tracetools (7.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 23 Aug 2023 07:00:00 -0000

ros-rolling-tracetools (7.0.0-1jammy) jammy; urgency=high

  * Add TRACETOOLS_ prefix to tracepoint-related public macros (#56 <https://github.com/ros2/ros2_tracing/issues/56>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 09 Jun 2023 07:00:00 -0000

ros-rolling-tracetools (6.4.1-1jammy) jammy; urgency=high

  * Disable tracing on Android (#71 <https://github.com/ros2/ros2_tracing/issues/71>)
  * Contributors: Przemysław Dąbrowski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 May 2023 07:00:00 -0000

ros-rolling-tracetools (6.4.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 28 Apr 2023 07:00:00 -0000

ros-rolling-tracetools (6.3.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 18 Apr 2023 07:00:00 -0000

ros-rolling-tracetools (6.2.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 18 Apr 2023 07:00:00 -0000

ros-rolling-tracetools (6.1.0-1jammy) jammy; urgency=high

  * Add intra-process tracepoints (#30 <https://github.com/ros2/ros2_tracing/issues/30>)
  * Contributors: ymski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 13 Apr 2023 07:00:00 -0000

ros-rolling-tracetools (6.0.0-1jammy) jammy; urgency=high

  * Improve tracetools rosdoc2/doxygen output (#57 <https://github.com/ros2/ros2_tracing/issues/57>)
  * Update README and other documentation (#55 <https://github.com/ros2/ros2_tracing/issues/55>)
  * Disable tracing on macOS (#53 <https://github.com/ros2/ros2_tracing/issues/53>)
  * Include tracepoints by default on Linux (#31 <https://github.com/ros2/ros2_tracing/issues/31>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 07:00:00 -0000

ros-rolling-tracetools (5.1.0-1jammy) jammy; urgency=high

  * Explicitly link against dl for dladdr() (#48 <https://github.com/ros2/ros2_tracing/issues/48>)
  * Fix memory leak in tracetools::get_symbol() (#43 <https://github.com/ros2/ros2_tracing/issues/43>)
  * Add TRACEPOINT_ENABLED() and DO_TRACEPOINT() macros (#46 <https://github.com/ros2/ros2_tracing/issues/46>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 02 Mar 2023 08:00:00 -0000

ros-rolling-tracetools (5.0.0-1jammy) jammy; urgency=high

  * Update tracing to C++17. (#33 <https://github.com/ros2/ros2_tracing/issues/33>)
  * Contributors: Chris Lalancette

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 14 Feb 2023 08:00:00 -0000

ros-rolling-tracetools (4.1.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME}
  * Contributors: Christophe Bedard, Shane Loretz

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 29 Mar 2022 07:00:00 -0000

ros-rolling-tracetools (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'update-mentions-of-tracetools-test' into 'master'
    Update applicable mentions of tracetools_test to test_tracetools
    See merge request ros-tracing/ros2_tracing!259 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/259>
  * Update applicable mentions of tracetools_test to test_tracetools
  * Merge branch 'version-3-1-0' into 'master'
    Version 3.1.0
    See merge request ros-tracing/ros2_tracing!256 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/256>
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 20 Jan 2022 08:00:00 -0000

ros-rolling-tracetools (3.1.0-1jammy) jammy; urgency=high

  * Correctly handle calls to TRACEPOINT() macro with no tracepoint args
  * Move publisher handle tracepoint argument from rclcpp_publish to rcl_publish
  * Add support for rmw init/pub, take, and executor instrumentation
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-tracetools (3.0.0-1jammy) jammy; urgency=high

  * Export target on Windows and export an interface if TRACETOOLS_DISABLED
  * Remove deprecated utility functions
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 26 Jul 2021 07:00:00 -0000

ros-rolling-tracetools (2.3.0-1jammy) jammy; urgency=high

  * Update QD to be more specific about public API
  * Namespace tracetools C++ functions and macros and deprecate current ones
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-tracetools (2.2.0-1jammy) jammy; urgency=high

  * Add support for rcl_publish and rclcpp_publish tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Mar 2021 07:00:00 -0000

ros-rolling-tracetools (2.1.0-1jammy) jammy; urgency=high

  * Add instrumentation support for linking a timer to a node
  * Bring tracetools up to quality level 1
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 13 Jan 2021 08:00:00 -0000

ros-rolling-tracetools (2.0.0-1jammy) jammy; urgency=high

  * Add lifecycle node state transition instrumentation
  * Do not export tracetools if empty
  * Allow disabling tracetools status app
  * Contributors: Christophe Bedard, Ingo Lütkebohle, José Antonio Moral

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 12 Oct 2020 07:00:00 -0000

ros-rolling-tracetools (1.0.0-1jammy) jammy; urgency=high

  * Export -rdynamic using ament_export_link_flags and modern CMake
  * Contributors: Christophe Bedard, Dirk Thomas

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-rolling-tracetools (0.3.0-1jammy) jammy; urgency=high

  * Various improvements to the build setup and CMakeLists.txt


=== debian/control ===
Source: ros-rolling-tracetools
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblttng-ust-dev, pkg-config, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: https://index.ros.org/p/tracetools/
Standards-Version: 3.9.2

Package: ros-rolling-tracetools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblttng-ust-dev, lttng-tools, ros-rolling-ros-workspace
Description: Tracing wrapper for ROS 2.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
